Subject: bug#15201: 24.2; extensions/enhancements to package.el

From: Stefan Monnier <[email-masked]>
Date: Tue, 27 Aug 2013 21:12:54 -0400

> I know that using cl is frowned upon... but I'm writing this code to be
> compatible with 24.2 so I can't rely on cl-lib (since this is an
> extension to the system used to install cl-lib). I'm only using it for
> set-difference and am open to modifications to make it more
> portable/acceptable. You can see this code in:

Use of CL is generally discouraged, and is not allowed at run-time for
packages included in Emacs.  IOW As long as your code is not meant to be
included in Emacs you don't need to worry too much about it.

OTOH, the code you sent doesn't work with the package.el that's in
Emacs's current trunk (e.g. package-delete now only takes a single argument).

One more thing: I like the idea of having a declarative list of
"packages that should be installed" so as to be able to delete packages
that were installed as dependencies but aren't needed any more.  So I'd
welcome patches that add such functionality to package.el.

        Stefan